package com.yixin.ms.boot.uitls;

import lombok.extern.slf4j.Slf4j;
import sun.misc.BASE64Encoder;

import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;

/**
 * @ProjectName: face-server
 * @Package: com.yx.face.boot.uitls
 * @ClassName: UploadUtils
 * @Author: 崔哥
 * @Description:
 * @Date: 2021/9/28 17:37
 * @Version: 1.0
 */
@Slf4j
public class UploadUtils {

    public static byte[] downloadImg(String url) {
        byte[] bytes = null;
        try {
            log.info("开始下载" + url + "资源\n");
            URL uploadUrl = new URL(url);
            HttpURLConnection httpUrl = (HttpURLConnection) uploadUrl.openConnection();
            httpUrl.connect();
            httpUrl.getInputStream();
            InputStream is = httpUrl.getInputStream();
            ByteArrayOutputStream outStream = new ByteArrayOutputStream();
            //创建一个Buffer字符串
            byte[] buffer = new byte[1024];
            //每次读取的字符串长度，如果为-1，代表全部读取完毕
            int len = 0;
            while ((len = is.read(buffer)) != -1) {
                outStream.write(buffer, 0, len);
            }
            //对字节数组Base64编码
            BASE64Encoder decoder = new BASE64Encoder();
            bytes = outStream.toByteArray();
            return bytes;
        } catch (Exception ex) {
            log.info("\"文件下载出错：\" + ex.getMessage() + \"\\n\"");
            return bytes;
        }
    }


    /**
     * imgFile 图片本地存储路径
     */
    public static String getImgFileToBase64(String imgFile) {
        //将图片文件转化为字节数组字符串，并对其进行Base64编码处理
        InputStream inputStream = null;
        byte[] buffer = null;
        //读取图片字节数组
        try {
            inputStream = new FileInputStream(imgFile);
            int count = 0;
            while (count == 0) {
                count = inputStream.available();
            }
            buffer = new byte[count];
            inputStream.read(buffer);
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (inputStream != null) {
                try {
                    // 关闭inputStream流
                    inputStream.close();
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        }
        // 对字节数组Base64编码
        return new BASE64Encoder().encode(buffer);
    }


    public static void main(String[] args) {
        byte[] bytes = downloadImg("https://renhe.hz-hanghui.com/zsms/file/upload/photo/1634632845.jpg");
        System.out.println(bytes);

//       String index = "https://golden-lake.hz-hanghui.com:8088/info-collection/file/upload/photo/709bdcfc3a190cd1605421ce9ae108c0.png";
//        for (String photo : index.split("photo")) {
//            System.out.println();
//        }

//        String imgFileToBase64 = getImgFileToBase64("D:/yixi/00d851e1d9afb39319c4fbbf75ac7bb5.png");
//        System.out.println(imgFileToBase64);

        String a = "https://renhe.hz-hanghui.com/zsms/file/upload/photo/1634632845.jpg";
        String[] photos = a.split("photo");
        System.out.println(photos[1]);
    }

}
