package com.yixin.ms.controller;


import com.yixin.ms.boot.restful.ServiceException;
import com.yixin.ms.model.dto.IrsTripSendMsgDTO;
import com.yixin.ms.model.enums.TokenEnum;
import com.yixin.ms.server.RealNameServer;
import com.yixin.ms.server.dto.RealNameCtidAuthDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author lileilei
 */
@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "实名三项 API")
@RestController
@RequestMapping("/real/name")
public class RealNameAuthController {
    /**
     * 服务对象
     */
    private final RealNameServer realNameServer;

    @ApiOperation("实名三项验证")
    @PostMapping("/ctidAuth")
    public String ctidAuth(@RequestBody RealNameCtidAuthDTO dto) {
        if (TokenEnum.codeOf(dto.getToken()) == null) {
            throw new ServiceException(700, "token有误，请检查");
        }

        //三方接口原输出内容返回
        return realNameServer.ctidAuth(dto);
    }
}
