package com.yixin.ms.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/8/9 15:26
 * @description:
 */
@Getter
@AllArgsConstructor
public enum TravelValidationEnum {
    /**
     * 1 未去过中高风险地区 2 去过中高风险地区 3 未查询到行程 4 未授权查询行程
     */
    NOT_BEEN_TO("1", "未去过中高风险地区", "https://noise.hz-hanghui.com:8088/yx-fyzd/file/icon/trip/green.png"),
    HAVE_BEEN_TO("2", "去过中高风险地区", "https://noise.hz-hanghui.com:8088/yx-fyzd/file/icon/trip/red.png"),
    NO_ITINERARY("3", "未查询到行程", "https://noise.hz-hanghui.com:8088/yx-fyzd/file/icon/trip/green.png"),
    UNAUTHORIZED("4", "未授权查询行程", "https://noise.hz-hanghui.com:8088/yx-fyzd/file/icon/trip/green.png");

    private String code;

    private String desc;

    private String url;

    public static TravelValidationEnum codeOf(String code) {
        for (TravelValidationEnum validationEnum : values()){
            if(validationEnum.getCode().equals(code)){
                return validationEnum;
            }
        }

        return NO_ITINERARY;
    }
}
