package com.yixin.ms.service;


import com.yixin.ms.boot.restful.RestResult;
import com.yixin.ms.model.dto.HealthCodeConfigDTO;
import com.yixin.ms.model.dto.HealthCodeDTO;
import com.yixin.ms.model.dto.ShortTermDTO;
import com.yixin.ms.model.vo.HealtCodeUserVO;
import com.yixin.ms.server.vo.HealthCodeVO;

public interface HealthCodeService {

    /**
     * 健康码查询
     * @param shortTermDTO
     * @return
     */
    HealtCodeUserVO getShortTermCertificate(ShortTermDTO shortTermDTO);

    String addToken(String token);

    Boolean deleteToken(String token);

    /**
     * 健康码查询
     * @param shortTermDTO
     * @return
     */
    RestResult getShortTerm(ShortTermDTO shortTermDTO);

    /**
     * 根据barcode查询健康码信息
     * @param healthCodeDTO
     * @return
     */
    RestResult<HealthCodeVO> queryInfoByBarCode(HealthCodeDTO healthCodeDTO);

    /**
     * 场所码注册
     * @param configDTO
     * @return
     */
    RestResult saveHealthCodeConfig(HealthCodeConfigDTO configDTO);
}

